# Class SnpSiftCmdGwasCatalog

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdGwasCatalog

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine, org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdGwasCatalog extends SnpSift
Annotate a VCF file using GWAS catalog database Loads GWAS catalog in memory, thus it makes no assumption about order.

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`CONFIG_GWAS_DB_NAME`
`final String`
`GWAS_CATALOG`
`static final int`
`SHOW`
`static final int`
`SHOW_LINES`

### Fields inherited from class SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdGwasCatalog()`
`SnpSiftCmdGwasCatalog(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`annotate(org.snpeff.vcf.VcfEntry vcfEntry)`
`boolean`
`annotateFinish(org.snpeff.fileIterator.VcfFileIterator vcfFile)`
`boolean`
`annotateInit(org.snpeff.fileIterator.VcfFileIterator vcfFile)`
`protected List<org.snpeff.vcf.VcfHeaderEntry>`
`headers()`
Headers to add
`void`
`init()`
Initialize default values
`void`
`parseArgs(String[] args)`
Parse command line arguments
`void`
`readDb()`
Read database
`boolean`
`run()`
Annotate entries
`List<org.snpeff.vcf.VcfEntry>`
`run(boolean saveResults)`
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class SnpSift

`addHeaders, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHOW

public static final int SHOW

See Also:
  - Constant Field Values

### SHOW_LINES

public static final int SHOW_LINES

See Also:
  - Constant Field Values

### GWAS_CATALOG

public final String GWAS_CATALOG

See Also:
  - Constant Field Values

### CONFIG_GWAS_DB_NAME

public final String CONFIG_GWAS_DB_NAME

See Also:
  - Constant Field Values

## Constructor Details

### SnpSiftCmdGwasCatalog

public SnpSiftCmdGwasCatalog()

### SnpSiftCmdGwasCatalog

public SnpSiftCmdGwasCatalog(String[] args)

## Method Details

### annotate

public boolean annotate(org.snpeff.vcf.VcfEntry vcfEntry)

Specified by:
  `annotate` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotate` in class `SnpSift`

### annotateFinish

public boolean annotateFinish(org.snpeff.fileIterator.VcfFileIterator vcfFile)

Specified by:
  `annotateFinish` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotateFinish` in class `SnpSift`

### annotateInit

public boolean annotateInit(org.snpeff.fileIterator.VcfFileIterator vcfFile)

Specified by:
  `annotateInit` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotateInit` in class `SnpSift`

### headers

protected List<org.snpeff.vcf.VcfHeaderEntry> headers()
Description copied from class: `SnpSift`
Headers to add

Overrides:
  `headers` in class `SnpSift`

### init

public void init()
Initialize default values

Overrides:
  `init` in class `SnpSift`

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### readDb

public void readDb()
Read database

### run

public boolean run()
Annotate entries

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### run

public List<org.snpeff.vcf.VcfEntry> run(boolean saveResults)

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`